#
# spec file for package fllog
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           fllog
Version:        1.2.7
Release:        lp153.1.2
License:        GPL-2.0
Summary:        Logbook Server
Url:            http://www.w1hjk.com
Group:          Productivity/Hamradio/Other
Source:         http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel

%description
The logbook server maintains a large set of QSO logbook fields that will
probably be sufficient for casual operating, contesting and some certificate
logging. All of the fields that are captured in the logbook are maintained
in an ADIF database that can be read by any logbook program that can read the
ADIF text format. The server can open any logbook adif file, including those
created by fldigi.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%suse_update_desktop_file -i fllog

%files
%{_bindir}/%{name}
%doc ChangeLog README
%if 0%{?suse_version} >= 1330
%license COPYING
%else
#doc COPYING
%endif
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Aug 15 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 1.2.7
  XmlRpc Client ID
  * add xmlrpc Client ID
  openSUSE Tumbleweed
  * correct Warnings & Errors exposed by gcc 11.1.1
  FD fields
  * change field field names to be compliant with ADIF spec
  mxe scripts
  * update mxe scripts
  export/import
  * change some existing field names
  * add fields to comply with fldigi logbook export/import
  * clean up various compiler warnings
  * correct terminate handler
  mkappbundle
  * modify 'version' to include VERSION_PATCH
* Thu Jun 20 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 1.2.6
  * update help file
  * create logs .1 ... .5 as aged backups
  * modify modes table for OLIVIA and HELL mode/sub-modes
  * restore saving / loading export field selections
  - right click on Default button; saves current selection
  - left click on Default button; selects default selection
  * remove separate status window; use debug event log window
    for status messages
  * add station call, operator call to xmlrpc add_record
  * updated interface specification
  * updated csv and text export
  * add mutex to prevent external request's overrunning prior
    actions.
  * add station QTH and LOCator to config items
  - initialize applicable "New" record fields
  * auto update log when fldigi sends eQSL
  * populate inpSearchCall with duplicate CALL
  * export FSKHELL-105 AS FMHELL
  * insure that same duplicates found independent of date-time
    sort ordering
  * xmlrpc interface to allow update of specified field. Not
    limited to eQSL and LoTW QSO dates
  * Restore previously viewed record when cancelling out of
    "new" record
  * Change to include both export_mode and export_submode
  * Changes imposed by recent changes in fldigi QSOdb structure
  * restore sort after merging database
* Thu Nov  8 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 1.2.5
- specfile cleanup
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 1.2.3
* Sat Apr 30 2016 dl8fcl@t-online.de
- update to version 1.2.2
* Tue Apr 28 2015 dl8fcl@darc.de
- update to version 1.2.0
  requires libflxmlrpc
* Mon Jan 26 2015 dl8fcl@darc.de
- update to version 1.1.9, Maintenance release
* Tue Feb  4 2014 dl8fcl@darc.de
- update to version 1.1.8, Maintenance release
* Sun Jan  6 2013 dl8fcl@darc.de
- update to version 1.1.6, Maintenance release
* Mon Aug  6 2012 dl8fcl@darc.de
- update to version 1.1.5
* Mon Jun 25 2012 dl8fcl@darc.de
- update to version 1.1.3
* Thu Jan 26 2012 dl8fcl@darc.de
- update to version 1.1.1, build with fltk-1.1.10 and fltk-1.3.0
* Sun Nov 20 2011 dl8fcl@darc.de
- update to version 1.1.0
* Fri Jul  1 2011 dl8fcl@darc.de
- import into buildservice
